# Copyright (c) 2015, InfluxFramework LLC
# License: MIT. See LICENSE

import influxframework
from influxframework.desk.form.linked_with import get_linked_docs, get_linked_doctypes
from influxframework.tests.utils import InfluxFrameworkTestCase


class TestForm(InfluxFrameworkTestCase):
	def test_linked_with(self):
		results = get_linked_docs("Role", "System Manager", linkinfo=get_linked_doctypes("Role"))
		self.assertTrue("User" in results)
		self.assertTrue("DocType" in results)


if __name__ == "__main__":
	import unittest

	influxframework.connect()
	unittest.main()
